package erp

type BusinessType = string // 业务类型
const (
	BusinessTypeSaleAudit       BusinessType = "saleAudit"       // 销售合同审核
	BusinessTypeSaleAuditClose  BusinessType = "saleAuditClose"  // 销售合同关单审核
	BusinessTypePurchaseAudit   BusinessType = "purchaseAudit"   // 采购合同审核
	BusinessTypeShipmentAudit   BusinessType = "shipmentAudit"   // 订舱单审核
	BusinessTypeAccountingAudit BusinessType = "accountingAudit" // 做账合同审核
)

var BusinessTypeName = map[BusinessType]string{
	BusinessTypeSaleAudit:       "销售合同审核",
	BusinessTypeSaleAuditClose:  "销售合同关单审核",
	BusinessTypePurchaseAudit:   "采购合同审核",
	BusinessTypeShipmentAudit:   "订舱单审核",
	BusinessTypeAccountingAudit: "做账合同审核",
}

type AuditStatus = int64 // 审核状态
const (
	AuditStatusNone   AuditStatus = 1 // 待提交
	AuditStatusIng    AuditStatus = 2 // 审核中
	AuditStatusAdopt  AuditStatus = 3 // 审核通过
	AuditStatusReject AuditStatus = 4 // 审核驳回
	AuditStatusCancel AuditStatus = 5 // 审核撤回
)

type ProductMold = int64 // 产品类型
const (
	ProductMoldSingle ProductMold = 1 // 单件
	ProductMoldSuite  ProductMold = 2 // 套件
)

type IsOpen = int64 // 开启状态
const (
	IsOpenTrue  IsOpen = 1 // 开启
	IsOpenFalse IsOpen = 2 // 关闭
)

type ExportType = string // 导出类型

const (
	ExportTypeSalePi             = "salePi"             // 销售pi导出
	ExportTypeSaleBenefit        = "saleBenefit"        // 效益测算导出
	ExportTypePurchase           = "purchase"           // 采购导出
	ExportTypeShipment           = "shipment"           // 订舱导出
	ExportTypeShipmentInfo       = "shipmentInfo"       // 出运明细导出
	ExportTypeSerial             = "serial"             // 商检导出
	ExportTypeCustoms            = "customs"            // 报关导出
	ExportTypeExchangeSettlement = "exchangeSettlement" // 结汇导出
	ExportTypeAccounting         = "accounting"         // 做账导出
	ExportTypeAccountingFactory  = "accountingFactory"  // 做账工厂导出
)

type BanFlag = int64 // 出舱状态
const (
	BanFlagDisabled BanFlag = 1 // 禁用
	BanFlagEnabled  BanFlag = 2 // 可用
)
